Description: build ivman cleanly
Author: Steve M. Robbins <smr@debian.org>

--- inventor-2.1.5-10.orig/doc/man/ivman/ClassDef.c++
+++ inventor-2.1.5-10/doc/man/ivman/ClassDef.c++
@@ -237,7 +237,7 @@
 
 #define NUM_KEY_WORDS (sizeof(keywords) / sizeof(keywords[0]))
 
-    int	i;
+    size_t i;
 
     if (names == NULL) {
 	names = new SbName[NUM_KEY_WORDS];
--- inventor-2.1.5-10.orig/doc/man/ivman/Main.c++
+++ inventor-2.1.5-10/doc/man/ivman/Main.c++
@@ -89,7 +89,7 @@
 //
 /////////////////////////////////////////////////////////////////////////////
 
-main(int argc, char *argv[])
+int main(int argc, char *argv[])
 {
     SbBool	ok = TRUE;
     int		c, curArg;
--- inventor-2.1.5-10.orig/doc/man/ivman/Man.c++
+++ inventor-2.1.5-10/doc/man/ivman/Man.c++
@@ -806,7 +806,7 @@
 
 #define NUM_OP_NAMES (sizeof(opNames) / sizeof(opNames[0]))
 
-		int op;
+		size_t op;
 		for (op = 0; op < NUM_OP_NAMES; op++) {
 		    if (name == opNames[op][0]) {
 			name = opNames[op][1];
--- inventor-2.1.5-10.orig/doc/man/ivman/Man.h
+++ inventor-2.1.5-10/doc/man/ivman/Man.h
@@ -131,6 +131,7 @@
     virtual void	write(SbBool runIn) = 0;
     virtual SbBool	read()  = 0;
     virtual int		getNumPreTabChars() const;
+    virtual             ~Item() {}
   protected:
     Item();
   private:
